/*
    LDS176 driver implementation.
    Copyright (C) 2011  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __LDS176_H
#define __LDS176_H	1


#include "lcddrv.h"				// modello d'accesso

/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

#ifdef __LDS176_C

#else

#endif

/***************************************************************************/
/* variabili pubbliche */

#ifdef __LDS176_C

#else

#endif

/***************************************************************************/
/* funzioni pubbliche */

// place init functions here


#ifndef __INIT_ONLY_FNCT

int LDS176_InitBus(void);
  /* Imposta lo stato iniziale e la direzione delle linee del bus e
     inizializza il display driver. */

void LDS176_SendCommand(unsigned char Cmd,unsigned char Data[],int DataLen);
  /* Invia un byte comando seguito da un array di argomenti al display. */

void LDS176_SetWindow(unsigned char x1,unsigned char y1,
			unsigned char x2,unsigned char y2);
  /* Imposta l'area accessibile in scrittura sul display. */

void LDS176_SetContrast(unsigned char Contrast);
  /* Imposta i parametri di regolazione del contrasto. */

void LDS176_CopyFrame(unsigned char *Frame,int FrameLen);
  /* Invia un frame buffer al display driver cominciando dall'angolo in alto
     a destra del display. */

void LDS176_PrintStr(char *Str);
  /* Stampa una stringa a video come se fosse un terminale testuale. */

#endif

/***************************************************************************/
/* modello d'accesso unico */

#ifdef __LDS176_C

LcdDrv_t		LDS176_Drv={	LDS176_Init,
					LDS176_SendCommand,
					LDS176_SetContrast,
					LDS176_SetWindow,
					LDS176_CopyFrame,
					LDS176_PrintStr};

#else

extern LcdDrv_t		LDS176_Drv;

#endif

/***************************************************************************/
#endif

/* $Source$ */

