/*
    PCF8833 based LCD display driver.
    Copyright (C) 2012 2013 2016  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __PCF8833_H
#define __PCF8833_H	1


/***************************************************************************/
/* define pubblici */

  // modalita' invio command byte
#define CLOSE_DEVICE		0		// rise cs after command byte
#define LEAVE_IT_OPEN		1		// live cs low after ommand

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

#ifdef __PCF8833_C

const char		PCF8833_LinkMap[]=
					"D0 ----> MOSI\n"
					"D1 ----> SP4 -- DC\n"
					"D2 ----> CLK\n"
					"D3 ----> SP0 -- CS\n"
					"D4 ----> SP3 -- SEL\n"
					"D5 ----> SP2 -- NEN\n"
					"D6 ----> SP1 -- RES\n"
					"D7 <---- MISO\n";

#else

extern const char	PCF8833_LinkMap[];

#endif

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

int PCF8833_InitBus(void *Chipset,int argc,char **argv);
  /* Imposta lo stato iniziale del bus e inizializza il display, ritorna 0
     in caso di successo, 1 altrimenti. */

int PCF8833_CmdWrite(const unsigned char Cmd[],int Len);
  /* Invia un comando composito al display driver. */

int PCF8833_CopyFrame(unsigned long int Addr,const unsigned char *Frame,int Len);
  /* Copia il frame buffer specificato sul diplay partendo dall'alto. */

int PCF8833_TextWrite(unsigned long int Addr,const char *Str,int Len);
  /* Stampa una stringa a video come se fosse un display alfanumerico. */

/***************************************************************************/
#endif

/* $Source$ */

