/*
    PlayStation memory card driver.
    Copyright (C) 2008 2011 2012 2016  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __PSCARD_H
#define __PSCARD_H	1


/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

#ifdef __PSCARD_C

const char		PSCARD_LinkMap[]=
					"D0 ----> MOSI\n"
					"D1 <---- MISO\n"
					"D2 ----> CLK\n"
					"D3 <---- ACK\n"
					"D4 ----> SEL\n"
					"D5 ----> nc\n"
					"D6 ----> nc\n"
					"D7 ----> nc\n";

#else

extern const char	PSCARD_LinkMap[];

#endif

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

int PSCARD_InitBus(void *Chipset,int argc,char **argv);
  /* Imposta lo stato iniziale del bus e inizializza il display, ritorna 0
     in caso di successo, 1 altrimenti. */

int PSCARD_BlockWrite(unsigned long int Address,const unsigned char *Data,int Len);
  /* Scrive un blocco dati all'indirizzo indicato. */

int PSCARD_BlockRead(unsigned long int Address,unsigned char *Buf,int Len);
  /* Legge un blocco dati dall'indirizzo indicato. */

/***************************************************************************/
#endif

/* $Source$ */

