# HD44780 demo
source "hd44780.tcl"

# display init
HD44780_Init

# setting customizable characters
HD44780_Write_Command 0x40		;# write to GCRAM
foreach Data {0x1f 0x1f 0x0e 0x04 0x0a 0x11 0x1f 0x00} {
  HD44780_Write_Data $Data
}
foreach Data {0x1f 0x17 0x0e 0x04 0x0a 0x15 0x1f 0x00} {
  HD44780_Write_Data $Data
}
foreach Data {0x1f 0x13 0x0e 0x04 0x0a 0x1d 0x1f 0x00} {
  HD44780_Write_Data $Data
}
foreach Data {0x1f 0x11 0x0e 0x04 0x0a 0x1f 0x1f 0x00} {
  HD44780_Write_Data $Data
}
foreach Data {0x1f 0x11 0x0a 0x04 0x0e 0x1f 0x1f 0x00} {
  HD44780_Write_Data $Data
}

foreach Data {0x14 0x04 0x04 0x1f 0x07 0x07 0x06 0x00} {
  HD44780_Write_Data $Data
}
foreach Data {0x00 0x11 0x0b 0x07 0x0b 0x11 0x00 0x00} {
  HD44780_Write_Data $Data
}
foreach Data {0x06 0x07 0x07 0x1f 0x04 0x04 0x14 0x00} {
  HD44780_Write_Data $Data
}
HD44780_Write_Command 0x80		;# write to DDRAM

# fill display with text
HD44780_Print "HD44780 based dot matrix display  \[40x2\]"
HD44780_Write_Command 0xc0		;# inizio seconda riga
HD44780_Print "Display driver as TCL script"

# clessidra demo
HD44780_Write_Command 0x0c		;# hide cursor
for {set i 0} {$i < 5} {incr i} {
  # one single clessidra cycle
  foreach Char {9 10 11 12 14 8} {
    HD44780_Write_Command [expr 0x80 | 0x40 | 38]
    HD44780_Write_Data $Char
    after 250
  }
}


